1

Is it possbile to load module compiled under kernel 2.6.x to a system with kernel 3.8.x

view story
linux-howto

http://askubuntu.com – I have Marvell USB wireless driver src which only supports up to kernel 2.6.8. Now my system is Ubuntu 13.04 with kernel 3.8 and I can not compile the src under the new kernel anymore. I found the asm/system.h and the netlink.h changed in newer kernel. So I want to ask if I can compile the module under the 2.6.x kernel and then just copy the .ko file to the new system and load it? (HowTos)